<?php
function get_file_type($file,$arrays){
	$arr=explode(';',$arrays);
	$count=count($arr);
	$isset=0;
		for($i=0;$i<$count;$i++){
		if($arr[$i]==$file && $arr[$i]!='')
		$isset++;
		}
	if($isset!=0)
	return true;
	else
	return false;
	}

	if(isset($_POST['submit'])){
	if($_FILES["file"]["size"]<=150000){
	$newfile=$_FILES['file']['tmp_name'];
	$file=strtolower($_FILES['file']['name']);
	$file=pathinfo($file, PATHINFO_EXTENSION);//расширение файла
	$arrays='sql;txt';//доступные расширения файла
	
		if(get_file_type($file,$arrays)==false){
		echo "Загруженный файл имеет некоректное расширение(доступные: sql;txt)<br/>-<a href='sql.php?file&amp;".mt_rand()."'>Назад</a><br/>";
		unlink($_FILES['file']['tmp_name']);
		include_once 'inc/foot.php';
		exit;
		}
	
	$filename = $_FILES['file']['tmp_name'];
$handle = fopen($filename, "r");
$contents = fread($handle, filesize($filename));
fclose($handle);
	
		
		$sql=$contents;

$sql=split(";(\n|\r)*",$sql);





$k_z=0; $k_z_ok=0;
for ($i=0;$i<count($sql);$i++)
{
if ($sql[$i]!=''){
$k_z++;
if(mysql_query($sql[$i]))
{
$k_z_ok++;
}}}
if ($k_z_ok>0)
{
if ($k_z_ok==1 && $k_z=1)
mes_sql("Запрос успешно выполнен");
else
mes_sql("Выполнено $k_z_ok запросов из $k_z");



}
else
echo 'Ошибка!';
	
unlink($_FILES['file']['tmp_name']);
		
	include_once 'inc/foot.php';
	}
	else
	{
	echo "Вес файла превышает максимально допустимый(150кб)<br/>-<a href='sql.php?file&amp;".mt_rand()."'>Назад</a><br/>";
	unlink($_FILES['file']['tmp_name']);
	include_once 'inc/foot.php';
	exit;
	}
	
	}

echo '<form method="post" enctype="multipart/form-data" action="sql.php?file&amp;set='.mt_rand().'">
	Файл(*.sql,*.txt):<br/>
	<input type="file" name="file" />
	<br />
	<input type="submit" name="submit" value="Добавить"/>
	</form>';
	include_once 'inc/foot.php';

?>
